@import url('https://fonts.googleapis.com/css2?family=Roboto&display=swap');

#Main_Panel_Profil
{
    height: auto;
    width: 85%;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-left: 14%;
    margin-bottom: 50px;

}

h3 
{
    font-weight: bold;
}


#Profil-card
{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 56px 0px;
    gap: 75px;

    width: auto;
    height: auto;

    background: #FFFFFF;
    box-shadow: 10px 10px 10px rgba(0, 0, 0, 0.25);
    border-radius: 20px;
    margin-top: 100px;

    -webkit-animation: scale-in-center 0.5s cubic-bezier(0.250, 0.460, 0.450, 0.940) both;
	        animation: scale-in-center 0.5s cubic-bezier(0.250, 0.460, 0.450, 0.940) both;
}

@-webkit-keyframes scale-in-center {
    0% {
      -webkit-transform: scale(0);
              transform: scale(0);
      opacity: 1;
    }
    100% {
      -webkit-transform: scale(1);
              transform: scale(1);
      opacity: 1;
    }
  }
  @keyframes scale-in-center {
    0% {
      -webkit-transform: scale(0);
              transform: scale(0);
      opacity: 1;
    }
    100% {
      -webkit-transform: scale(1);
              transform: scale(1);
      opacity: 1;
    }
  }
  


#Profil-card-Section1
{
    width: 30%;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;   
     border-top-left-radius: 10px;
    border-bottom-left-radius: 10px;
    background: rgb(86,199,116);
background: linear-gradient(180deg, rgba(86,199,116,1) 0%, rgba(114,241,235,1) 100%);



}

#Profil-card-Section2
{
    width: 70%;
    height: 100%;
    border-top-right-radius: 10px;
    border-bottom-right-radius: 10px;


}


#Profil-card-Section1-PDP 
{
    width: 200px;
    height: 200px;
    margin: auto;
    margin-top: 7%;
    border-radius: 50%;

}


#Profil-card-Section1-Info
{
    border-radius: 5px;
    width: 80%;
    text-align: center;
    font-family: Poppins;
    font-weight: bold;
    font-size: 2.5em;
    color: white;
    margin-bottom: 40%;
    
}

.Profil-card-Section2-class
{
    font-family: Poppins;
    font-weight: bold;
    margin-top: 30px;
    margin-left: 10%;
    margin-right: 5%;
    font-size: 2em;
}

#Profil-card-Section2-nom-prenom
{
    font-family: Poppins;
    font-weight: bold;
    margin-top: 30px;
    margin-left: 10%;
    font-size: 2em;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    background-color: #F0F8FF;
}

#Profil-card-Section2-adresse
{
    font-family: Poppins;
    font-weight: bold;
    margin-top: 30px;
    margin-left: 10%;
    font-size: 1.5em;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

#Profil-card-Section2-telephone
{
    font-family: Poppins;
    font-weight: bold;
    margin-top: 30px;
    margin-left: 10%;
    font-size: 1.5em;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

#Profil-card-Section2-Button
{
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    padding-right: 10%;
    margin-top: 40px;
    width: 80%;
    margin-left: 20%;
}

#Profil-card-Section2-Button1
{
    border: 3px solid red;
    background-color: white;
    color :red;
    border-radius: 5px ;
    font-family: Poppins;
    font-weight: bold;
    margin-right: 3%;
}

#Profil-card-Section2-Button2
{
    border: 3px solid #56C774;
    background-color: #56C774;
    color :white;
    border-radius: 5px ;
    font-family: Poppins;
    font-weight: bold;
    width: 15%;
}


#Profil-Annonce-card
{
    width: 85%;
    height: auto;
    margin: auto;
    margin-top: 100px;
    display: flex;
    flex-direction: column;
    align-items: center;
}

#Annonce-Switcher
{
    width: 50%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

#Annonce-Switcher button
{
    border: none;
    background-color: #F0F8FF;
    font-family: Poppins;
    font-size: 1.5em;
    font-weight: bold;
    color: #56C774;
    margin-left: 10%;
    border-bottom: 5px solid #56C774;
}


.EditableInput
{
    border : none ;
    border-radius: 7px;
    font-family: Poppins;
    background-color: #F0F8FF;

}

#Profil-Annonce-Poste-Plante-Garder
{
    width: 100%;
    height: auto;
    margin-top: 50px;
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    
}


/*-----------------------------------------------------------------------*/
/*-----------------------------------------------------------------------*/
/*-----------------------------------------------------------------------*/
/*-----------------------------------------------------------------------*/

.information-perso-titre{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    padding: 0px 48px;
    gap: 45px;

    width: 1200px;
    height: 38px;

    filter: drop-shadow(0px 2px 4px rgba(0, 0, 0, 0.25));
}

.titre-gauche-info-perso{
    width: auto;
    height: 38px;
    border-bottom: 2px solid #46A094;
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 400;
    font-size: 32px;
    line-height: 38px;
}

.titre-droite-icone{
    font-weight: 400;
    font-size: 26px;
    line-height: 38px;
    transition: font-size ease-in-out 200ms;
}

.titre-droite-icone:hover{
    cursor: pointer;
    font-size:30px;
}

.information-perso-section{
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
    padding: 10px 48px;
    gap: 10px;
    width: 1200px;
}

.information-perso-pdp{
    width: 350px;
    height: 350px;
    object-fit: cover;
    background: #D9D9D9;
    box-shadow: 6px 6px 10px rgba(0, 0, 0, 0.25);
    border-radius: 200px;
}

.information-perso-rigth{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    margin-left: 10%;
    padding: 0px;
    gap: 72px;

    width: 502px;
    height: 300px;

    filter: drop-shadow(0px 4px 4px rgba(0, 0, 0, 0.25));
}

.information-perso-cadre{
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 0px;
    gap: 10px;

    width: 240px;
    height: 52px;
}

.information-perso-nom-prenom{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    padding: 0px;

    width: 502px;
    height: 52px;
}

.information-perso-mail-tel{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    padding: 0px;

    width: 502px;
    height: 52px;
}

.information-perso-label-title{
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 500;
    font-size: 20px;
    line-height: 23px;

    color: #000000;
}

.information-perso-label{
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 400;
    font-size: 16px;
    line-height: 19px;
    /* identical to box height */

    color: #000000;
}

.div-de-separation-profil{
    width: 1001px;
    height: 0px;
    display: flex;
    flex-direction: row;

    border: 1px solid #949494;
}

.adresse-profil-section{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    padding: 0px 48px;
    gap: 36px;

    width: 1200px;
    height: 276px;

    filter: drop-shadow(0px 4px 4px rgba(0, 0, 0, 0.25));
}

.adresse-long-cadre{
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 0px;
    gap: 10px;

    width: 788px;
    height: auto;
}

adresse-short-cadre{
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 0px;
    gap: 10px;

    width: 165px;
    height: auto;
}

.triple-short-cadre-adresse{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    padding: 0px;
    gap: 150px;

    width: 714px;
    height: auto;
}

.section-modifier-mdp{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 0px;
    gap: 10px;

    width: 1200px;
    height: 39px;
}

.bouton-modifier-mdp{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 10px 16px;
    gap: 10px;

    width: 259px;
    height: 49px;

    background: #4F4F4F;
    border-radius: 10px;
    border: none;
}

.bouton-modifier-mdp:focus{
    outline: none;
}

.bouton-texte-modifier-mdp{
    font-family: 'Roboto'!important;
    margin: 10px 0px!important;

    font-style: normal;
    font-weight: 500;
    font-size: 16px;
    line-height: 19px;
    /* identical to box height */
    color: #FFFFFF;
}

.card-entiere-profil{
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 0px;
    gap: 85px;
}

.section-menu-choix-profil{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    padding: 8px 148px 16px;
    gap: 300px;

    width: 1667px;
    height: 62px;
    background: #FFFFFF;
    box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.25);
}

.bouton-choix-annonces-profil{
    outline: none;
    width: auto;
    height: 38px;
    border: none;
    background-color: transparent;
    appearance: none;
    text-decoration: none;
    display: inline-block;
    position: relative;
    font-family: 'Roboto';
    font-style: normal;
    font-weight: 500;
    font-size: 32px;
    line-height: 38px;
    /* identical to box height */
    transition: all .3s ease-in-out;

    text-align: center;

    color: rgba(0, 0, 0, 0.5);
}

.bouton-choix-annonces-profil:hover {
    color: #1abc9c;
}

.bouton-choix-annonces-profil::before {
    content: '';
    position: absolute;
    width: 100%;
    height: 2px;
    bottom: 0;
    left: 0;
    background-color: #1abc9c;
    transform: scaleX(0);
    transform-origin: bottom right;
    transition: transform .3s ease-in-out;
}

.bouton-choix-annonces-profil.clicked {
    color: #1abc9c;
}

.bouton-choix-annonces-profil.active::before,
.menu-item.clicked::before {
    transform: scaleX(1);
    transform-origin: bottom left;
}

.bouton-choix-annonces-profil.active:hover::before,
.menu-item.clicked:hover::before {
    transform: scaleX(1);
    transform-origin: bottom left;
}

.bouton-choix-annonces-profil:not(.active):not(.clicked):hover::before {
    transform: scaleX(1);
    transform-origin: bottom left;
}

.bouton-choix-annonces-profil:not(.active):not(.clicked):hover {
    color: #1abc9c;
    cursor: pointer;
}

.bouton-choix-annonces-profil:focus{
    outline: none;
    color: #1abc9c;
}

.section-card-mes-annonces{
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: flex-start;
    padding: 0px;
    gap: 70px;
    flex-wrap: wrap;
    width: 1200px;
    height: 450px;
}

.card-mon-annonce{
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding: 24px 24px;
    padding: 24px 24px;
    gap: 30px;

    width: 536px;


    background: #FFFFFF;
    box-shadow: 10px 10px 10px rgba(0, 0, 0, 0.25);
    border-radius: 20px;
    font-family: 'Roboto', sans-serif;
}